### Method

# Foundry GitCloner validate

#### Declaration [src]

    DexFuture*
    foundry_git_cloner_validate (
      FoundryGitCloner* self
    )

#### Description [src]

Validates the values of the cloner.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.